<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class AdsGostar_SMS_Ads {

	public function __construct() {

		if ( ! is_admin() || get_option( 'agoosms_ads_noticemelli' ) ) {
			return;
		}

		add_action( 'agoosms_settings_form_admin_notices', array( $this, 'adminNotice' ) );
		add_action( 'wp_ajax_agoosms_notice_dismiss', array( $this, 'ajaxCallback' ) );
	}

	public function adminNotice() { ?>

        <script type="text/javascript">
            jQuery(document).on('click', '#sms-notic-block .button-secondary', function () {
                jQuery.ajax({
                    url: ajaxurl,
                    data: {
                        action: 'agoosms_notice_dismiss'
                    }
                }).done(function () {
                    jQuery("#sms-notic-block").slideUp(1000);
                });
            })
        </script>
		<?php
	}

	public function ajaxCallback() {
		update_option( 'agoosms_ads_noticemelli', 1 );
		die();
	}

}

new AdsGostar_SMS_Ads();