<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class AdsGostar_SMS_Gateways {

	public $mobile = array();
	public $message = '';
	public $senderNumber = '';

	private $username = '';
	private $password = '';

	private static $_instance;

	public static function init() {
		if ( ! self::$_instance ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	public function __construct() {
		$this->username     = AGWooSMS()->Options( 'sms_gateway_username' );
		$this->senderNumber = AGWooSMS()->Options( 'sms_gateway_sender' );
	}

	public static function get_smsads_gateway() {

		$gateway = array(
			'adsgostar'     => 'ارسال واتساپ واتگستر',
		);

		return apply_filters( 'agoosms_sms_gateways', $gateway );
	}
	
	public function adsgostar() {

		$response = false;
		$username = $this->username;
		$massage  = $this->message;
		$to       = $this->mobile;
		
		
		foreach ($to as $key => $value) {
		$to[$key] = substr($value,1);
                              }				
	$url = 'https://crm.whatgostar.com/api/RestApi/SendMessage';
	$post_data = json_encode(array(
	  "Token" => $username,
	  "Message" => $massage,
	  "PhoneNumber" =>$to));
		
	 $process = curl_init();
	 curl_setopt( $process,CURLOPT_URL,$url);
	 curl_setopt( $process, CURLOPT_TIMEOUT,30);
	 curl_setopt( $process, CURLOPT_POST, 1);
	 curl_setopt( $process, CURLOPT_CUSTOMREQUEST, "POST");
	 curl_setopt( $process, CURLOPT_POSTFIELDS, $post_data);
	 curl_setopt( $process, CURLOPT_RETURNTRANSFER, TRUE);
	 curl_setopt( $process, CURLOPT_FOLLOWLOCATION, true);
	 curl_setopt( $process, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
	 $return = curl_exec( $process);
	 $httpcode = curl_getinfo( $process, CURLINFO_HTTP_CODE);
	 curl_close( $process);
	 $decoded = json_decode($return);
	 $responce=$decoded->result;
		
	if($responce==true){
	  return true;
	}else{
	  return false;
	}
		}
	}