<?php


if (!defined('ABSPATH')) {
	header('Location: https://stargostar.ir');
	exit;
}

if (!defined('PWOOSMS_VERSION')) {
	define('PWOOSMS_VERSION', '4.3.0');
	define('PS_WOO_SMS_VERSION', PWOOSMS_VERSION); //deprecated
}

if (!defined('PWOOSMS_URL')) {
	define('PWOOSMS_URL', plugins_url('', __FILE__));
	define('PS_WOO_SMS_PLUGIN_PATH', PWOOSMS_URL); //deprecated
}

if (!defined('PWOOSMS_INCLUDE_DIR')) {
	define('PWOOSMS_INCLUDE_DIR', dirname(__FILE__) . '/includes');
	define('PS_WOO_SMS_PLUGIN_LIB_PATH', PWOOSMS_INCLUDE_DIR); //deprecated
}


const logo_sms_pro_saba = '<img    src="http://stargostar.ir/wp-content/uploads/AdGostarLogo/starlogo.png">';

const title_sms_pro_saba = 'واتگستر';

const link_sms_pro_saba = 'https://stargostar.ir';


register_activation_hook(__FILE__, 'AdsGostar_SMS_Register');
register_deactivation_hook(__FILE__, 'AdsGostar_SMS_Register');
function AdsGostar_SMS_Register()
{

	delete_option('agoosms_table_archive');
	delete_option('agoosms_table_contacts');
	delete_option('agoosms_hide_about_page');
	delete_option('agoosms_redirect_about_page');
}

require_once 'includes/class-gateways.php';
require_once 'includes/class-settings-api.php';
require_once 'includes/class-settings.php';
require_once 'includes/class-helper.php';
require_once 'includes/class-bulk.php';
require_once 'includes/class-about.php';
require_once 'includes/class-ads.php';

require_once 'includes/class-metabox.php';
require_once 'includes/class-subscription.php';
require_once 'includes/class-product-tab.php';
require_once 'includes/class-product-events.php';
require_once 'includes/class-orders.php';
require_once 'includes/class-archive.php';
require_once 'includes/class-contacts.php';

require_once 'includes/class-deprecateds.php';

require_once 'persian-gravity-sms-pro/gravity_sms_pro.php'; // Saba
if (class_exists('GFForms')) {

	require_once 'includes/class-gfs.php';
}


function creadsaba()
{

	$username = AGWooSMS()->Options('sms_gateway_username');
	$args = array(
		'headers' => array(
			'Content-Type'  => 'application/json',
			'accept'        => 'application/json'
		),
		'body'    => json_encode(array(
			'accesshash'         =>  $username,
			'domain'             => $_SERVER['HTTP_HOST']
		))
	);


	$cr_on = wp_remote_post("https://adsgostar.ir/api/getcredit", $args);

	$remove_str = ['{', '}', '"', 'data', 'Code', ':', ' '];
	$response =  (explode(",", $cr_on['body']));

	$status = str_replace($remove_str, " ", $response['0']);

	if ($status == 100) {

		$result = str_replace($remove_str, " ", $response['2']);
		echo '<span>وضعیت اتصال : <span style="color: #2ea2cc;font-weight: bold;">اتصال با موفقیت برقرار شد</span></span>';
	} else {
		echo '
             <div class="notice notice-error below-h2">
                <p><strong>هشدار: </strong>تمامی حقوق این افزونه محفوظ می باشد هرگونه کپی برداری ممنوع است
			
  
                </p>
            </div>
			
			';
	}
}

