<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! defined( 'GFS_SMS_DIR' ) ) {
	define( 'GFS_SMS_DIR', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'GFS_SMS_URL' ) ) {
	define( 'GFS_SMS_URL', plugins_url( null, __FILE__ ) );
}

if ( ! defined( 'GFS_SMS_GATEWAY' ) ) {
	define( 'GFS_SMS_GATEWAY', plugin_dir_path( __FILE__ ) . 'includes/gateways/' );
}

add_action( 'plugins_loaded', 'gravitysms_saba_load_textdomain' );

function gravitysms_saba_load_textdomain() {
	load_plugin_textdomain( 'GFS_SMS', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

require_once( GFS_SMS_DIR . 'includes/main.php' );

add_action( 'plugins_loaded', array( 'GFKATOUKISMS_Pro', 'construct' ), 10 );

register_activation_hook( __FILE__, array( 'GFKATOUKISMS_Pro', 'active' ) );
register_deactivation_hook( __FILE__, array( 'GFKATOUKISMS_Pro', 'deactive' ) );