<?php
/*
 * Class Name : GFKATOUKISMS_Pro_{strtoupper( php file name) }	
 */

class GFKATOUKISMS_Pro_ADSGOSTAR {

	/*
	* Gateway title	
	*/
	public static function name( $gateways ) {

		$name = __( 'sad', 'GF_SMS' );

		$gateway = array( strtolower( str_replace( 'GFKATOUKISMS_Pro_', '', get_called_class() ) ) => $name );

		return array_unique( array_merge( $gateways, $gateway ) );
	}


	/*
	* Gateway parameters
	*/
	public static function options() {
		return ;
	}

	/*
	* Gateway credit
	*/
	public static function credit() {
		return true;
	}


	/*
	* Gateway action
	*/
	public static function process( $options, $action, $from, $to, $messages ) {

		if ( $action == 'credit' && ! self::credit() ) {
			return false;
		}

		if ( ! extension_loaded( 'soap' ) ) {
			return __( 'ماژول Soap بر روی هاست شما فعال نمی باشد .', 'GF_SMS' );
		}

		
		$username = AGWooSMS()->Options('sms_gateway_username');


		ini_set( "soap.wsdl_cache_enabled", "0" );


		$from = self::from( $from );

		if ( $action == "send" ) {
			
			if(strlen($to)>13){
				$to = explode(',', $to);
				$to = array_filter($to);                 

foreach ($to as $key => $value) {

	if(strlen($value)>11){
			$value = substr($value,2);

	}
		$to[$key] = substr($value,1);
		                   
}	
				
			}else{
				if(strlen($to)>11){
			$to = substr($to,2);

	}
				$to = substr($to,1);
		$to = array($to);
			
			}

				//return $to[1];		
	
		
	$url = 'https://crm.whatgostar.com/api/RestApi/SendMessage';
	$post_data = json_encode(array(
	  "Token" => $username,
	  "Message" => $messages,
	  "PhoneNumber" =>$to));
	
	 $process = curl_init();

	 curl_setopt( $process,CURLOPT_URL,$url);
	 curl_setopt( $process, CURLOPT_TIMEOUT,30);
	 curl_setopt( $process, CURLOPT_POST, 1);
	 curl_setopt( $process, CURLOPT_CUSTOMREQUEST, "POST");
	 curl_setopt( $process, CURLOPT_POSTFIELDS, $post_data);
	 curl_setopt( $process, CURLOPT_RETURNTRANSFER, TRUE);
	 curl_setopt( $process, CURLOPT_FOLLOWLOCATION, true);
	 curl_setopt( $process, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
	 $return = curl_exec( $process);
	 $httpcode = curl_getinfo( $process, CURLINFO_HTTP_CODE);
	 curl_close( $process);
	 $decoded = json_decode($return);
	 $responce=$decoded->result;

			
	if($responce==true){
	  return true;
	}else{
	  return false;
	}
			
          //  $args = array(
			//	'headers' => array(
				//	'Content-Type'  => 'application/json',
					//'accept'        => 'application/json'
				//),
				//'body'    => json_encode(array(
					//'accesshash'         => $username,
				//	'message'             => $messages,
					//'mobile'             => $to,
					//'domain'             => $_SERVER['HTTP_HOST']
				//))
			//);

                   // $response = wp_remote_post("https://adsgostar.ir/api/sendmessage", $args); 
					//return  $response;
			
		}




		if ( $action == "range" ) {
			$min = 200;
			$max = 1000;

			return array( "min" => $min, "max" => $max );
		}

	}


	private static function from( $from ) {
		if ( ! empty( $from ) ) {
			return $from;
		}
		$settings      = GFKATOUKISMS_Pro::get_option();
		$default_froms = explode( ',', $settings["from"] );

		return ! empty( $default_froms[0] ) ? $default_froms[0] : '';
	}

	private static function fault( $code ) {

		switch ( $code ) {

			case '403':
				return __( 'شماره وارد نشده', 'GF_SMS' );
				break;

			case '409':
				return __( 'پیام بدون متن است.', 'GF_SMS' );
				break;

			case '421':
				return __( 'نام کاربری خالی است.', 'GF_SMS' );
				break;

			case '422':
				return __( 'کلمه عبور خالی است.', 'GF_SMS' );
				break;

			case '423':
				return __( 'شماره وارد نشده است.', 'GF_SMS' );
				break;

			case '462':
				return __( 'نام کاربری یا کلمه عبور اشتباه است.', 'GF_SMS' );
				break;

			case '463':
				return __( 'شما شماره اختصاصی ندارید.', 'GF_SMS' );
				break;

			case '464':
				return __( 'شماره اختصاصی اشتباه است.', 'GF_SMS' );
				break;

			case '465':
				return __( 'اعتبار کافی نیست.', 'GF_SMS' );
				break;

			case '466':
				return __( 'خطایی در ثبت اطلاعات رخ داده است.', 'GF_SMS' );
				break;

			case '468':
				return __( 'تعداد پیام واتساپ بیش از حد مجاز می باشد.', 'GF_SMS' );
				break;

			case '470':
				return __( 'شماره UserGroupID تکراری است.', 'GF_SMS' );
				break;

			case '490':
				return __( 'پیام واتساپ دریافتی ندارید.', 'GF_SMS' );
				break;

			case '499':
				return __( 'درست نبودن فرمت xml.', 'GF_SMS' );
				break;

			default:
				return __( 'خطایی رخ داده است. کد خطا: ', 'GF_SMS' ) . $code;
				break;
		}
	}

}
